from creds import creds
from exchangelib import Account, Configuration, DELEGATE

config = Configuration(
    server='webmail.uis.edu/ews/exchange.asmx',
    credentials=creds
)
acc = Account(
    primary_smtp_address='ahueb2@uis.edu',
    config=config,
    autodiscover=False,
    access_type=DELEGATE
)
dept_librarian_emails = {
    'A_GEN':'ahueb2@uis.edu',
    'B_PHILPSYR':'ahueb2@uis.edu',
    'C_AUX-SCI-HIST':'ahueb2@uis.edu',
    'D_WHIST':'ahueb2@uis.edu',
    'E_MURICA_PT1':'ahueb2@uis.edu',
    'F_MURICA_PT2':'ahueb2@uis.edu',
    'G_GEO_REC':'ahueb2@uis.edu',
    'GN_ANTH':'ahueb2@uis.edu',
    'H_PS':'ahueb2@uis.edu',
    'H_SL':'ahueb2@uis.edu',
    'J_POLI_SCI':'ahueb2@uis.edu',
    'K_LAW':'ahueb2@uis.edu',
    'L_EDU':'ahueb2@uis.edu',
    'M_MUSIC':'ahueb2@uis.edu',
    'N_ART':'ahueb2@uis.edu',
    'P_LANG-LIT':'ahueb2@uis.edu',
    'Q_SCI':'ahueb2@uis.edu',
    'R_MED':'ahueb2@uis.edu',
    'S_AG':'ahueb2@uis.edu',
    'T_TECH':'ahueb2@uis.edu',
    'U_MIL_SCI':'ahueb2@uis.edu',
    'V_NAVAL-SCI':'ahueb2@uis.edu',
    'Z_BIB-LIB-SCI':'ahueb2@uis.edu'
}

# collection splitting and labels

# The H collection is split between two librarians. It makes me sad.
# H1 and H2 represent the two pieces of H that are reviewed separately.
H1 = ['H','HA','HM','HN','HQ','HS','HT','HV','HX']

H2 = ['HB','HC','HD','HE','HF','HG','HJ']

ref_dict = {'A':'A_GEN', 'B':'B_PHILPSYR', 'C':'C_AUX-SCI-HIST', 'D':'D_WHIST', 'E':'E_MURICA_PT1', 'F':'F_MURICA_PT2', 'G':'G_GEO_REC', 'GN':'GN_ANTH', 'H1':'H_PS', 'H_SL':'??', 'J':'J_POLI_SCI', 'K':'K_LAW', 'L':'L_EDU', 'M':'M_MUSIC', 'N':'N_ART', 'P':'P_LANG-LIT', 'Q':'Q_SCI', 'R':'R_MED', 'S':'S_AG', 'T':'T_TECH', 'U':'U_MIL_SCI', 'V':'V_NAVAL-SCI', 'Z':'Z_BIB-LIB-SCI'}

dept_wrapper = {'A_GEN':[], 'B_PHILPSYR':[], 'C_AUX-SCI-HIST':[], 'D_WHIST':[], 'E_MURICA_PT1':[], 'F_MURICA_PT2':[], 'G_GEO_REC':[], 'GN_ANTH':[], 'H_PS':[], 'H_SL':[], 'J_POLI_SCI':[], 'K_LAW':[], 'L_EDU':[], 'M_MUSIC':[], 'N_ART':[], 'P_LANG-LIT':[], 'Q_SCI':[], 'R_MED':[], 'S_AG':[], 'T_TECH':[], 'U_MIL_SCI':[], 'V_NAVAL-SCI':[], 'Z_BIB-LIB-SCI':[]}